Bug 133062 - [WebKit2] Cleanup the build from unused variable in WebProcess module
Summary: [WebKit2] Cleanup the build from unused variable in WebProcess module
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-18 22:20 PDT by Shivakumar J M
Modified: 2014-06-04 02:49 PDT (History)
3 users (show)

See Also:


Attachments
Patch (1.88 KB, patch)
2014-05-18 22:29 PDT, Shivakumar J M
ossy: review-
ossy: commit-queue-
Details | Formatted Diff | Diff
Patch-Updated (1.70 KB, patch)
2014-05-19 20:42 PDT, Shivakumar J M
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shivakumar J M 2014-05-18 22:20:58 PDT
Found unused variable used in WebKit2/WebProcess/UserContent/WebUserContentController.cpp during webkit-efl port build.

/home/shiva.jm/webkit-git/svngitmay14/WebKit/Source/WebKit2/WebProcess/UserContent/WebUserContentController.cpp:142:6: warning: unused parameter ‘scriptMessageHandlers’ [-Wunused-parameter]
 void WebUserContentController::addUserScriptMessageHandlers(const Vector<WebScriptMessageHandlerHandle>& scriptMessageHandlers)
      ^
/home/shiva.jm/webkit-git/svngitmay14/WebKit/Source/WebKit2/WebProcess/UserContent/WebUserContentController.cpp:154:6: warning: unused parameter ‘identifier’ [-Wunused-parameter]
 void WebUserContentController::removeUserScriptMessageHandler(uint64_t identifier)
Comment 1 Shivakumar J M 2014-05-18 22:29:47 PDT
Created attachment 231675 [details]
Patch

Fix unused parameter by using UNUSED_PARAM macro
Comment 2 Csaba Osztrogonác 2014-05-19 05:31:25 PDT
Comment on attachment 231675 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=231675&action=review

> Source/WebKit2/WebProcess/UserContent/WebUserContentController.cpp:144
> +    UNUSED_PARAM(scriptMessageHandlers);

scriptMessageHandlers is used if ENABLE(USER_MESSAGE_HANDLERS) 
is true, it should be placed in the #else case, like this:

#if ENABLE(USER_MESSAGE_HANDLERS)
   ...
#else
    UNUSED_PARAM(scriptMessageHandlers);
#endif

> Source/WebKit2/WebProcess/UserContent/WebUserContentController.cpp:157
> +    UNUSED_PARAM(identifier);

ditto
Comment 3 Shivakumar J M 2014-05-19 20:42:09 PDT
Created attachment 231749 [details]
Patch-Updated

Updated with review comments
Comment 4 WebKit Commit Bot 2014-05-21 01:13:20 PDT
Comment on attachment 231749 [details]
Patch-Updated

Clearing flags on attachment: 231749

Committed r169152: <http://trac.webkit.org/changeset/169152>
Comment 5 WebKit Commit Bot 2014-05-21 01:13:23 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Shivakumar J M 2014-06-04 02:45:09 PDT
Bug is fixed, tested in version 169584.
Comment 7 Csaba Osztrogonác 2014-06-04 02:49:23 PDT
(In reply to comment #6)
> Bug is fixed, tested in version 169584.

Please don't change Resolved/fixed state of a bug to Verified/fixed.
Resolved/fixed is the final state of the bug reports.

(In reply to comment #4)
> (From update of attachment 231749 [details])
> Clearing flags on attachment: 231749
> 
> Committed r169152: <http://trac.webkit.org/changeset/169152>

It means that the bug is fixed, because the patch landed in this svn 
commit. There is no need for any testing / verifying after it.